document.addEventListener('DOMContentLoaded', () => {
  const htmlInput = document.getElementById('htmlInput');
  const previewFrame = document.getElementById('previewFrame');
  const fullscreenBtn = document.getElementById('fullscreenBtn');
  const outputPanel = document.querySelector('.output-panel');

  function updatePreview() {
    const previewContent = previewFrame.contentDocument || previewFrame.contentWindow.document;
    previewContent.open();
    previewContent.write(htmlInput.value);
    previewContent.close();
  }

  function toggleFullscreen() {
    if (outputPanel.classList.contains('fullscreen')) {
      outputPanel.classList.remove('fullscreen');
      fullscreenBtn.innerHTML = '🔲';
    } else {
      outputPanel.classList.add('fullscreen');
      fullscreenBtn.innerHTML = '⤓';
    }
  }

  htmlInput.addEventListener('input', updatePreview);
  fullscreenBtn.addEventListener('click', toggleFullscreen);

  // Initial preview with sample HTML
  htmlInput.value = `<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Preview</title>
</head>
<body>
  <h1>Welcome to HTML Viewer!</h1>
  <p>Start typing your HTML code in the left panel to see it rendered here.</p>
</body>
</html>`;
  updatePreview();
});